Bug 804359 - kernel pci_root PNP0A08:00: ignoring host bridge window (conflicts with Video ROM [mem 0x000c0000-0x000cebff])
kernel pci_root PNP0A08:00: ignoring host bridge window (conflicts with Video...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
x86_64 Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-18 04:20 EDT by collura
Modified: 2013-04-02 21:23 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-02 14:46:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
part of /var/log/messages file with video rom memory error (6.92 KB, text/plain)
2012-03-18 04:20 EDT, collura
no flags Details

  None (edit)
Description collura 2012-03-18 04:20:51 EDT
Created attachment 570868 [details]
part of /var/log/messages file with video rom memory error

Description of problem:

  from var log messages:

  pci_root PNP0A08:00: ignoring host bridge window [mem 0x000cc000-0x000cffff] (conflicts with Video ROM [mem 0x000c0000-0x000cebff])


Version-Release number of selected component (if applicable):

  kernel-3.3.0-0.rc6.git0.2.fc17.x86_64

How reproducible:

   always

Steps to Reproduce:
1. boot
2. read message log
3.
  
Actual results:

   error message

Expected results:

   no error message

Additional info:
   would like error related to the disappearing brightness slider that happens with kernels > 3.1.9-1.fc16.x86_64 (https://bugzilla.redhat.com/show_bug.cgi?id=784532) but seem to remember the error with kernel-3.1.9-1.fc16.x86_64 as well

  http://www.smolts.org/client/show/pub_d71dc9ab-d675-4ee2-a9a9-303efc25df83
Comment 1 collura 2012-06-03 06:15:32 EDT
still there with:

  kernel-3.3.7-1.fc17.x86_64
  xorg-x11-drv-ati-6.14.4-6.20120602git930760942.fc17.x86_64
Comment 2 Justin M. Forbes 2012-09-11 11:36:49 EDT
Is this still happening with 3.5.3 kernels?
Comment 3 collura 2012-09-13 04:20:28 EDT
yes it lives.

still there as of 

  kernel-3.5.3-1.fc17.x86_64
  xorg-x11-drv-ati-6.14.4-6.20120602git930760942.fc17.x86_64

"kernel: [    0.506392] pci_root PNP0A08:00: ignoring host bridge window [mem 0x000cc000-0x000cffff] (conflicts with Video ROM [mem 0x000c0000-0x000cebff])"
Comment 4 collura 2012-10-12 16:58:42 EDT
still there as of

   kernel-3.6.1-1.fc17.x86_64
   xorg-x11-drv-ati-6.14.4-6.20120602git930760942.fc17.x86_64

var log messages:
"kernel: [    0.507828] pci_root PNP0A08:00: ignoring host bridge window [mem 0x000cc000-0x000cffff] (conflicts with Video ROM [mem 0x000c0000-0x000cebff])"
Comment 5 Álvaro Castillo 2013-01-12 04:05:59 EST
Add another devices info:

HP-G6 2145SS laptop.
AMD Dual-Core A6-4400M APU with Radeon HD 7520G Discrete-Class Graphics
Kernel version: 3.6.11-1.fc17.x86_64

error message:
[    1.066744] PCI: Using host bridge windows from ACPI; if necessary, use "pci=nocrs" and report a bug
[    1.067117] pci_root PNP0A08:00: ignoring host bridge window [mem 0x000cc000-0x000cffff] (conflicts with Video ROM [mem 0x000c0000-0x000cf9ff])
[    1.067129] pci_root PNP0A08:00: [Firmware Info]: MMCONFIG for domain 0000 [bus 00-3f] only partially covers this bridge
Comment 6 Josh Boyer 2013-03-14 13:46:58 EDT
Is this still happening with 3.8.2 in updates-testing?  If so, could someone please summarize what the actual problem is?  What isn't working correctly?
Comment 7 collura 2013-03-21 03:48:49 EDT
as of:

  kernel-3.8.3-201.fc18.x86_64
  xorg-x11-drv-ati-7.0.0-0.9.20121015gitbd9e2c064.fc18.x86_64

var log messages:
"
Mar 18 04:45:37 <removed> kernel: [    0.512944] pci_root PNP0A08:00: ACPI _OSC support notification failed, disabling PCIe ASPM
Mar 18 04:45:37 <removed> kernel: [    0.512948] pci_root PNP0A08:00: Unable to request _OSC control (_OSC support mask: 0x08)
Mar 18 04:45:37 <removed> kernel: [    0.513809] pci_root PNP0A08:00: ignoring host bridge window [mem 0x000cc000-0x000cffff] (conflicts with Video ROM [mem 0x000c0000-0x000cebff])
Mar 18 04:45:37 <removed> kernel: [    0.513816] pci_root PNP0A08:00: [Firmware Info]: MMCONFIG for domain 0000 [bus 00-0f] only partially covers this bridge
"

summary: 'conflicts with Video ROM' appears unfriendly.  if message is not as bad as seems then might be worth adding that to message. :')
Comment 8 Josh Boyer 2013-03-21 07:43:24 EDT
So everything is working fine, you just see these in dmesg?  Is anything actually broken?
Comment 9 collura 2013-04-02 21:23:40 EDT
when filed had various video related issues with no obviuos log messages.  (screen brightness setting/forgetfulness related issues.  forgetfullness still there but not sure if related.)  

an error about memory conflicts and video seem like good place to look.  

if memory conflict message is no problem them maybe i should file upstream to reword it.

thanks for looking it over. :')

Note You need to log in before you can comment on or make changes to this bug.